%global uuid fedmsg-notify+lmacken@redhat.com

Name:           gnome-shell-extension-fedmsg
Version:        0.1.0
Release:        2%{?dist}
Summary:        A gnome-shell extension for enabling fedmsg desktop notifications

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/lmacken/fedmsg-notify
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       gnome-shell >= 3.2.0


%description
This is a GNOME shell extension that allows you to easily toggle and configure
the fedmsg-notify service.


%prep
%setup -q 


%build
# Nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/
install -m 0644 extension.js %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/extension.js
install -m 0644 metadata.json %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/metadata.json
ls -la %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/


%files
%defattr(-,root,root,-)
%doc
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
* Wed Oct 10 2012 lmacken - 0.1.0-2
- rebuilt

